apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: gitops
  name: gitops-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: gitops
  template:
    metadata:
      labels:
        app: gitops
    spec:
      containers:
      - image: marcoscianci/gitops
        name: gitops
        imagePullPolicy: Always
        resources:
          limits:
            cpu: 50m
          requests:
            cpu: 20m
        ports:
        - containerPort: 5000
          name: http
        envFrom:
        - configMapRef:
            name: gitops-configmap
        